<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:pyde.02.18="http://sbr.gov.au/icls/py/pyde/pyde.02.18.data" xmlns:pyde.02.21="http://sbr.gov.au/icls/py/pyde/pyde.02.21.data" xmlns:rvctc3.02.20="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.20.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="CU201602Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="facts" match="xbrli:xbrl/*[@contextRef and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'GEN')"/><xsl:key name="RPfacts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RP')"/><xsl:key name="RPIfacts" match="xbrli:xbrl/*[@contextRef=$RPI.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPI')"/><xsl:key name="INTfacts" match="xbrli:xbrl/*[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INT')"/><xsl:key name="INTTACfacts" match="xbrli:xbrl/*[@contextRef=$INTTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INTTAC')"/><xsl:key name="RPTACfacts" match="xbrli:xbrl/*[@contextRef=$RPTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPTAC')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M50"/><xsl:apply-templates select="/" mode="M51"/><xsl:apply-templates select="/" mode="M52"/><xsl:apply-templates select="/" mode="M53"/><xsl:apply-templates select="/" mode="M54"/><xsl:apply-templates select="/" mode="M55"/><xsl:apply-templates select="/" mode="M56"/><xsl:apply-templates select="/" mode="M57"/><xsl:apply-templates select="/" mode="M58"/><xsl:apply-templates select="/" mode="M59"/><xsl:apply-templates select="/" mode="M60"/><xsl:apply-templates select="/" mode="M61"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the TD services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                          ]                                     ]"/><xsl:variable name="INT.ContextId" select="$INT.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="identifiersAustralianBusinessNumberIdentifier" select="key('facts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'GEN'))"/><xsl:variable name="organisationNameDetailsOrganisationalNameText" select="key('facts', concat('OrganisationNameDetails.OrganisationalName.Text', 'GEN'))"/><xsl:variable name="taxRoleTypeCode" select="key('facts', concat('Tax.RoleType.Code', 'GEN'))"/><xsl:variable name="personNameDetailsFamilyNameText" select="key('facts', concat('PersonNameDetails.FamilyName.Text', 'GEN'))"/><xsl:variable name="personNameDetailsGivenNameText" select="key('facts', concat('PersonNameDetails.GivenName.Text', 'GEN'))"/><xsl:variable name="personDemographicDetailsBirthDate" select="key('facts', concat('PersonDemographicDetails.Birth.Date', 'GEN'))"/><xsl:variable name="personDemographicDetailsSexCode" select="key('facts', concat('PersonDemographicDetails.Sex.Code', 'GEN'))"/><xsl:variable name="identifiersTaxAgentNumberIdentifier" select="key('facts', concat('Identifiers.TaxAgentNumber.Identifier', 'GEN'))"/><xsl:template match="text()" priority="-1" mode="M50"/><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="*" mode="M50"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the CU services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $INT.ContextId]/xbrli:entity/xbrli:identifier[string-length(.) != 0 and . = $identifiersAustralianBusinessNumberIdentifier]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500031</isns:Code><isns:Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $RP.Context                         and                          $personDemographicDetailsBirthDate[not(@i:nil='true' or @i:nil='1') and string-length(.) &gt; 0]                         and                         function:IsDate1GreaterThanDate2($personDemographicDetailsBirthDate[1], xbrli:period/xbrli:startDate)                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500012</isns:Code><isns:Description>Date of birth must be prior to the form submission start date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The date entered is a future date. Date of birth cannot be any day in advance of the form submission start date.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500030</isns:Code><isns:Description>Invalid context. Period start date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:period/xbrli:endDate[. != $startDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500034</isns:Code><isns:Description>Invalid context. Period start date must be the same as the Period end date for this form.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $startDate[function:IsDate1GreaterThanDate2(., current-date())]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500035</isns:Code><isns:Description>Invalid context. Period start date cannot be any day in the future.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template><xsl:template match="text()" priority="-1" mode="M51"/><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="*" mode="M51"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><isns:Description>Organisation name must contain at least one alpha or numeric character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*) - (.*)$')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><isns:Description>Non Individual Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500023</isns:Code><isns:Description>Non-Individual Name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><isns:Description>Family name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><isns:Description>Family Name cannot contain "space hyphen space"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)(--|('')('')|  )(.*)$')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><isns:Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'[{}|_\\#]')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500024</isns:Code><isns:Description>Individual Family name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500025</isns:Code><isns:Description>Individual First given name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(.*)(--|('')('')|  )(.*)$')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><isns:Description>First name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><isns:Description>First name cannot contain space hyphen space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-zA-Z](.*)$', 'i'))                                                 )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.436001</isns:Code><isns:Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template><xsl:template match="text()" priority="-1" mode="M52"/><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="*" mode="M52"/></xsl:template>

<!--
                PATTERN FieldPatternsField Lengths Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M53">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 30                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500016</isns:Code><isns:Description>Individual Family name must not exceed 30 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Individual Family name, the maximum allowable characters for this form is 30</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M53">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 15                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500017</isns:Code><isns:Description>Individual First given name must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Individual First given name, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template><xsl:template match="text()" priority="-1" mode="M53"/><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="*" mode="M53"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($taxRoleTypeCode) &gt; 25                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500001</isns:Code><isns:Description>The maximum number of Role Types permitted is 25</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:Tax.RoleType.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not(function:ValidateABN(.))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000477</isns:Code><isns:Description>ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(T/A )(.*)$', 'i')                          and                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410038</isns:Code><isns:Description>Non-individual name field cannot start with 'T/A' and end with 'Pship, P'ship or P/Ship'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                           matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                           matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                           matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428042</isns:Code><isns:Description>Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)(P/L)(.*)$')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><isns:Description>Non Individual Name cannot contain "P/L"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000417</isns:Code><isns:Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                          matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                          matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                          matches(.,'^(Exec for|Rep for|Trustee for)$','i')                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><isns:Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><isns:Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                                              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><isns:Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches(.,'^(Exec for|Rep for|Trustee for)$','i')                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><isns:Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                                              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><isns:Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                           matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                           matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                           matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><isns:Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(function:ValidateTAN(.))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410009</isns:Code><isns:Description>The Tax Agent number has failed the Tax Agent number algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template><xsl:template match="text()" priority="-1" mode="M54"/><xsl:template match="@*|node()" priority="-2" mode="M54"><xsl:apply-templates select="*" mode="M54"/></xsl:template>

<!--
                PATTERN WarningsValidations for warnings that are applicable accross all CU services.-->
<xsl:template match="text()" priority="-1" mode="M55"/><xsl:template match="@*|node()" priority="-2" mode="M55"><xsl:apply-templates select="*" mode="M55"/></xsl:template>

<!--
                PATTERN VariablesXBRL variables that are applicable across all of the TD services.-->
<xsl:variable name="RPTAC.Context" select="xbrli:xbrl/xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="RPTAC.ContextId" select="$RPTAC.Context/@id"/><xsl:variable name="INTTAC.Context" select="xbrli:xbrl/xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="INTTAC.ContextId" select="$INTTAC.Context/@id"/><xsl:variable name="RPI.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:instant                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                           and                                           count(xbrli:period/xbrli:instant) = 1                                     ]"/><xsl:variable name="RPI.ContextId" select="$RPI.Context/@id"/><xsl:variable name="cumas3" select="key('RPfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'RP'))"/><xsl:variable name="cumas5" select="key('RPfacts', concat('PersonNameDetails.FamilyName.Text', 'RP'))"/><xsl:variable name="cumas6" select="key('RPfacts', concat('PersonNameDetails.GivenName.Text', 'RP'))"/><xsl:variable name="cumas7" select="key('RPfacts', concat('PersonDemographicDetails.Birth.Date', 'RP'))"/><xsl:variable name="cumas8" select="key('RPfacts', concat('PersonDemographicDetails.Sex.Code', 'RP'))"/><xsl:variable name="cumas9" select="key('RPfacts', concat('GoodsAndServicesTax.RegistrationReason.Code', 'RP'))"/><xsl:variable name="cumas10" select="key('RPfacts', concat('OrganisationDetails.NotForProfit.Indicator', 'RP'))"/><xsl:variable name="cumas12" select="key('RPfacts', concat('GoodsAndServicesTax.RegistrationStart.Date', 'RP'))"/><xsl:variable name="cumas13" select="key('RPfacts', concat('GoodsAndServicesTax.TurnoverRange.Code', 'RP'))"/><xsl:variable name="cumas14" select="key('RPfacts', concat('Lodgment.Frequency.Code', 'RP'))"/><xsl:variable name="cumas15" select="key('RPfacts', concat('AccountingPolicies.CashAccountingMethodUsed.Indicator', 'RP'))"/><xsl:variable name="cumas16" select="key('RPfacts', concat('GoodsAndServicesTax.Import.Indicator', 'RP'))"/><xsl:variable name="cumas17" select="key('RPIfacts', concat('FuelTax.RegistrationStart.Date', 'RPI'))"/><xsl:variable name="cumas19" select="key('RPfacts', concat('FuelTax.FuelType.Code', 'RP'))"/><xsl:variable name="cumas20" select="key('RPfacts', concat('FuelTax.HeavyVehicle.Indicator', 'RP'))"/><xsl:variable name="cumas21" select="key('RPIfacts', concat('IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date', 'RPI'))"/><xsl:variable name="cumas24" select="key('RPIfacts', concat('LabourStatistics.Employees.Count', 'RPI'))"/><xsl:variable name="cumas25" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount', 'RP'))"/><xsl:variable name="cumas26" select="key('RPfacts', concat('Lodgment.Channel.Code', 'RP'))"/><xsl:variable name="cumas27" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.PaymentSummaryProvisionMethod.Code', 'RP'))"/><xsl:variable name="cumas28" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.InvestmentBody.Indicator', 'RP'))"/><xsl:variable name="cumas29" select="key('RPfacts', concat('OrganisationDetails.OrganisationIndustryGroup.Code', 'RP'))"/><xsl:variable name="cumas30" select="key('RPfacts', concat('OrganisationDetails.MainIncomeActivity.Description', 'RP'))"/><xsl:variable name="cumas31" select="key('RPfacts', concat('OrganisationDetails.MainEmploymentActivity.Description', 'RP'))"/><xsl:variable name="cumas32" select="key('RPIfacts', concat('LuxuryCarTax.RegistrationStart.Date', 'RPI'))"/><xsl:variable name="cumas34" select="key('RPfacts', concat('LuxuryCarTax.Manufacturing.Percent', 'RP'))"/><xsl:variable name="cumas35" select="key('RPfacts', concat('LuxuryCarTax.Wholesale.Percent', 'RP'))"/><xsl:variable name="cumas36" select="key('RPfacts', concat('LuxuryCarTax.Importing.Percent', 'RP'))"/><xsl:variable name="cumas37" select="key('RPfacts', concat('LuxuryCarTax.Retailing.Percent', 'RP'))"/><xsl:variable name="cumas38" select="key('RPfacts', concat('LuxuryCarTax.LiabilityRange.Code', 'RP'))"/><xsl:variable name="cumas39" select="key('RPfacts', concat('LuxuryCarTax.ActivityStatementRegistration.Indicator', 'RP'))"/><xsl:variable name="cumas40" select="key('RPIfacts', concat('WineEqualisationTax.RegistrationStart.Date', 'RPI'))"/><xsl:variable name="cumas42" select="key('RPfacts', concat('WineEqualisationTax.Manufacturing.Indicator', 'RP'))"/><xsl:variable name="cumas43" select="key('RPfacts', concat('WineEqualisationTax.Wholesale.Indicator', 'RP'))"/><xsl:variable name="cumas44" select="key('RPfacts', concat('WineEqualisationTax.Importing.Indicator', 'RP'))"/><xsl:variable name="cumas45" select="key('RPfacts', concat('WineEqualisationTax.Exporting.Indicator', 'RP'))"/><xsl:variable name="cumas46" select="key('RPfacts', concat('WineEqualisationTax.IndirectMarketingRetailer.Indicator', 'RP'))"/><xsl:variable name="cumas47" select="key('RPfacts', concat('WineEqualisationTax.Wine.Percent', 'RP'))"/><xsl:variable name="cumas48" select="key('RPfacts', concat('WineEqualisationTax.Beer.Percent', 'RP'))"/><xsl:variable name="cumas49" select="key('RPfacts', concat('WineEqualisationTax.Spirit.Percent', 'RP'))"/><xsl:variable name="cumas50" select="key('RPfacts', concat('WineEqualisationTax.Other.Percent', 'RP'))"/><xsl:variable name="cumas60" select="key('RPfacts', concat('ElectronicContact.ElectronicMail.Address.Text', 'RP'))"/><xsl:variable name="cumas61" select="key('RPfacts', concat('LuxuryCarTax.Activity.Code', 'RP'))"/><xsl:variable name="cumas52INTTAC" select="key('INTTACfacts', concat('PersonUnstructuredName.FullName.Text', 'INTTAC'))"/><xsl:variable name="cumas52RPTAC" select="key('RPTACfacts', concat('PersonUnstructuredName.FullName.Text', 'RPTAC'))"/><xsl:variable name="cumas53INTTAC" select="key('INTTACfacts', concat('PersonNameDetails.Position.Text', 'INTTAC'))"/><xsl:variable name="cumas53RPTAC" select="key('RPTACfacts', concat('PersonNameDetails.Position.Text', 'RPTAC'))"/><xsl:variable name="cumas54INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'INTTAC'))"/><xsl:variable name="cumas54RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'RPTAC'))"/><xsl:variable name="cumas55INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'INTTAC'))"/><xsl:variable name="cumas55RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'RPTAC'))"/><xsl:variable name="cumas56INTTAC" select="key('INTTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'INTTAC'))"/><xsl:variable name="cumas56RPTAC" select="key('RPTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'RPTAC'))"/><xsl:variable name="cumas57INTTAC" select="key('INTTACfacts', concat('Declaration.Signature.Date', 'INTTAC'))"/><xsl:variable name="cumas57RPTAC" select="key('RPTACfacts', concat('Declaration.Signature.Date', 'RPTAC'))"/><xsl:variable name="cumas58INTTAC" select="key('INTTACfacts', concat('Declaration.StatementAccepted.Indicator', 'INTTAC'))"/><xsl:variable name="cumas58RPTAC" select="key('RPTACfacts', concat('Declaration.StatementAccepted.Indicator', 'RPTAC'))"/><xsl:variable name="cumas59INTTAC" select="key('INTTACfacts', concat('Declaration.SignatoryIdentifier.Text', 'INTTAC'))"/><xsl:variable name="cumas59RPTAC" select="key('RPTACfacts', concat('Declaration.SignatoryIdentifier.Text', 'RPTAC'))"/><xsl:template match="text()" priority="-1" mode="M56"/><xsl:template match="@*|node()" priority="-2" mode="M56"><xsl:apply-templates select="*" mode="M56"/></xsl:template>

<!--
                PATTERN ContextContext Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M57">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             $RP.Context                             and                             xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                             [                                                             not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                                 and                                 not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             ]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500124</isns:Code><isns:Description>Entity Identifier Scheme must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn" or "http://www.abr.gov.au/abn"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPI.Context/xbrli:period/xbrli:instant[. != $RP.Context/xbrli:period/xbrli:startDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100098</isns:Code><isns:Description>Reporting Party (Instant) period date is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:period/xbrli:instant</xsl:text></Location><isns:LongDescription>Invalid context. Period date of Reporting Party (Instant) must match period start date of Reporting Party.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RPI.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100099</isns:Code><isns:Description>Invalid context. The number of Reporting Party (Instant) contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                $RP.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'                             and                              string-length(.) != 0                             and                              not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100194</isns:Code><isns:Description>ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RP.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'                             and                              string-length(.) != 0                             and                              not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100199</isns:Code><isns:Description>Reporting Party Tax File Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RPTAC.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500046</isns:Code><isns:Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($INTTAC.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500047</isns:Code><isns:Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $INTTAC.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500051</isns:Code><isns:Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPTAC.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500052</isns:Code><isns:Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.abr.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M57"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M57">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       xbrli:entity/xbrli:segment/xbrldi:explicitMember                       [                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                           and                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                       ]                       and                       xbrli:entity/xbrli:identifier/@scheme != $RP.Context/xbrli:entity/xbrli:identifier/@scheme                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100188</isns:Code><isns:Description>Unexpected Scheme mismatch with Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Scheme in entity identifier of context does not match the Scheme provided for the Reporting Party</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       xbrli:entity/xbrli:segment/xbrldi:explicitMember                       [                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                           and                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                       ]                       and                       $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/tfn'                       and                       xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme                       and                       xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100189</isns:Code><isns:Description>Unexpected TFN mismatch with Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       xbrli:entity/xbrli:segment/xbrldi:explicitMember                       [                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                           and                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                       ]                       and                       $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'                       and                       xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme                       and                       xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100190</isns:Code><isns:Description>Unexpected ABN mismatch with Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>ABN in entity identifier of context does not match the ABN provided for the Reporting Party</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $INTTAC.ContextId                         and                         $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'                         and                         xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme                         and                         xbrli:entity/xbrli:identifier                         [                             . = $RP.Context/xbrli:entity/xbrli:identifier                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100215</isns:Code><isns:Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $INTTAC.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500054</isns:Code><isns:Description>Intermediary declarer Australian Business Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M57"/></xsl:template><xsl:template match="text()" priority="-1" mode="M57"/><xsl:template match="@*|node()" priority="-2" mode="M57"><xsl:apply-templates select="*" mode="M57"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[\--9a-z?-Z -!$-&amp;*='']*$'))                         ]                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100073</isns:Code><isns:Description>Contact E-mail address contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * - = ' . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,'^@(.*)|(.*)@$')                         ]                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100074</isns:Code><isns:Description>Email address must not start or end with an @ symbol</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,'^(.*)[@](.*)[@](.*)$')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100075</isns:Code><isns:Description>Email address must not contain more than one @ symbol</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,'^\.(.*)|(.*)\.$')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100076</isns:Code><isns:Description>Email address must not start or end with a dot (.)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,'\.\.')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100077</isns:Code><isns:Description>Email address must not contain more than one consecutive dots (..)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,'\.@')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100078</isns:Code><isns:Description>Email address must not contain a dot followed by a @ symbol (.@)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,'@\.')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100079</isns:Code><isns:Description>Email address must not contain a @ symbol followed by a dot (@.)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             not(matches(.,'@'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100080</isns:Code><isns:Description>Email address must contain an @ symbol</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             matches(.,' ')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100081</isns:Code><isns:Description>An email address must not start with a space or include a space within it</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60                         [                             not(matches(.,'\.'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100082</isns:Code><isns:Description>Email address must contain a dot (.)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas30                         [                             not(@i:nil='true' or @i:nil='1') and string-length(.) != 0                             and                             not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100120</isns:Code><isns:Description>Main Business Activity contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas34                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100132</isns:Code><isns:Description>Manufacturing Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent</xsl:text></Location><isns:LongDescription>Manufacturing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas35                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100136</isns:Code><isns:Description>Wholesale Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Wholesale.Percent</xsl:text></Location><isns:LongDescription>Wholesale Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas36                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100139</isns:Code><isns:Description>Importing Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Importing.Percent</xsl:text></Location><isns:LongDescription>Importing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas37                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100141</isns:Code><isns:Description>Retailing Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Retailing.Percent</xsl:text></Location><isns:LongDescription>Retailing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas47                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100164</isns:Code><isns:Description>Wine Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Wine.Percent</xsl:text></Location><isns:LongDescription>Wine Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas48                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100166</isns:Code><isns:Description>Beer Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Beer.Percent</xsl:text></Location><isns:LongDescription>Beer Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas49                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100168</isns:Code><isns:Description>Spirit Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Spirit.Percent</xsl:text></Location><isns:LongDescription>Spirit Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 $cumas50                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100170</isns:Code><isns:Description>Other Percent must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Other.Percent</xsl:text></Location><isns:LongDescription>Other Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas34[. &lt; 0 or . &gt; 100]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100227</isns:Code><isns:Description>The Manufacturing Percent is invalid. It cannot be greater than 100 percent.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas35[. &lt; 0 or . &gt; 100]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100228</isns:Code><isns:Description>The Wholesale Percent is invalid. It cannot be greater than 100 percent.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Wholesale.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas36[. &lt; 0 or . &gt; 100]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100229</isns:Code><isns:Description>The Importing Percent is invalid. It cannot be greater than 100 percent.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Importing.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas37[. &lt; 0 or . &gt; 100]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100230</isns:Code><isns:Description>The Retailing Percent is invalid. It cannot be greater than 100 percent.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Retailing.Percent</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas52RPTAC[matches(.,'^(.*) - (.*)$')]                         or                         $cumas52INTTAC[matches(.,'^(.*) - (.*)$')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500057</isns:Code><isns:Description>Declarer Contact Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas59INTTAC                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                         ]                         or                         $cumas59RPTAC                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500069</isns:Code><isns:Description>Declarer identifier contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $cumas31                       [                         not(@i:nil='true') and string-length(.) != 0                         and                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                       ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100122</isns:Code><isns:Description>Main Employment Activity contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.23:OrganisationDetails.MainEmploymentActivity.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500037</isns:Code><isns:Description>Declarer Contact Name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M58">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500059</isns:Code><isns:Description>Declarer position held of person making the declaration contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M58"/></xsl:template><xsl:template match="text()" priority="-1" mode="M58"/><xsl:template match="@*|node()" priority="-2" mode="M58"><xsl:apply-templates select="*" mode="M58"/></xsl:template>

<!--
                PATTERN FieldLengthsField Lengths Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas60[string-length(.) &gt; 200]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100072</isns:Code><isns:Description>E-mail address must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><isns:LongDescription>For the E-mail address, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas24[string-length(.) &gt; 7]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100103</isns:Code><isns:Description>Number of Employees must not exceed 7 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.10:LabourStatistics.Employees.Count</xsl:text></Location><isns:LongDescription>For the Number of Employees, the maximum allowable characters for this form is 7</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(             $cumas25[not(matches(.,'^[0-9]{1,11}$'))]            )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100106</isns:Code><isns:Description>Estimated Annual Amount Withheld is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount</xsl:text></Location><isns:LongDescription>Estimated Annual Amount Withheld must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas30[string-length(.) &gt; 200]            )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100119</isns:Code><isns:Description>Main Business Activity must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</xsl:text></Location><isns:LongDescription>For Main Business Activity, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas31[string-length(.) &gt; 200]            )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100121</isns:Code><isns:Description>Main Employment Activity must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.23:OrganisationDetails.MainEmploymentActivity.Description</xsl:text></Location><isns:LongDescription>For Main Employment Activity, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas47[string-length(.) &gt; 3]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100165</isns:Code><isns:Description>Wine Percent must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Wine.Percent</xsl:text></Location><isns:LongDescription>For Wine Percent, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas48[string-length(.) &gt; 3]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100167</isns:Code><isns:Description>Beer Percent must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Beer.Percent</xsl:text></Location><isns:LongDescription>For Beer Percent, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas49[string-length(.) &gt; 3]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100169</isns:Code><isns:Description>Spirit Percent must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Spirit.Percent</xsl:text></Location><isns:LongDescription>For Spirit Percent, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas50[string-length(.) &gt; 3]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100171</isns:Code><isns:Description>Other Percent must not exceed 3 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.Other.Percent</xsl:text></Location><isns:LongDescription>For Other Percent, the maximum allowable characters for this form is 3</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas55RPTAC[string-length(.) &gt; 15]                         or                         $cumas55INTTAC[string-length(.) &gt; 15]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500063</isns:Code><isns:Description>Declarer Telephone number must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><isns:LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 50                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500058</isns:Code><isns:Description>Declarer position must not exceed 50 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Declarer position, the maximum allowable characters for this form is 50</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M59">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 200                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100174</isns:Code><isns:Description>Declarer Contact Name must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M59"/></xsl:template><xsl:template match="text()" priority="-1" mode="M59"/><xsl:template match="@*|node()" priority="-2" mode="M59"><xsl:apply-templates select="*" mode="M59"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory validation for fields that are applicable for CUMASADD.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M60">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas59RPTAC[not(@i:nil='true') and string-length(.) != 0])                         and                         not($cumas59INTTAC[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100180</isns:Code><isns:Description>Declaration Signatory Identifier text must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($INTTAC.Context)                              and                             not($cumas52RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                             $INTTAC.Context                              and                             not($cumas52INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500056</isns:Code><isns:Description>Declarer contact name must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($RPTAC.Context) &gt; 0                            and                            $cumas56RPTAC[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500065</isns:Code><isns:Description>Declarer tax agent number must not be present for Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxAgentNumber.Identifier</xsl:text></Location><isns:LongDescription>Declarer tax agent number is only applicable for an Intermediary tax agent</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                            not($cumas57RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           count($RPTAC.Context) = 0                            and                            not($cumas57INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.307004</isns:Code><isns:Description>Declaration Signature Date is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><isns:LongDescription>Intermediary or Report Party declaration signatory date is required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas58RPTAC[not(@i:nil='true') and string-length(.) != 0])                         and                         not($cumas58INTTAC[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410078</isns:Code><isns:Description>Declaration Statement Accepted Indicator must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M60"/></xsl:template><xsl:template match="text()" priority="-1" mode="M60"/><xsl:template match="@*|node()" priority="-2" mode="M60"><xsl:apply-templates select="*" mode="M60"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M61">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $cumas5[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                           or                           $cumas6[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                           or                           $cumas7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500086</isns:Code><isns:Description>Individual and Non-individual details are both present. Only family or non-individual name details may be present.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Only Non-Individual Name must be present for non-individuals, or only Individual Family name, Individual First given name and Date of Birth must be present for individuals</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M61"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M61">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                $cumas17[not(@i:nil='true')]                         and                         (                           not($cumas19[not(@i:nil='true')])                           or                           not($cumas20[not(@i:nil='true')])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100023</isns:Code><isns:Description>Fuel Tax Credit details must be present for Fuel Tax Credits Effective Date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:FuelTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>Fuel Type and Gross Vehicle Mass Indicator must be present for Fuel Tax Credits Effective Date</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas12[not(@i:nil='true')]                         and                         (                           not($cumas9[not(@i:nil='true')])                           or                           not($cumas13[not(@i:nil='true')])                           or                           not($cumas14[not(@i:nil='true')])                           or                           not($cumas15[not(@i:nil='true')])                           or                           not($cumas16[not(@i:nil='true')])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100048</isns:Code><isns:Description>GST Registration details are required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>Where GST Effective Date is present, then GST Registration Type, GST Turnover Amount, GST Activity Statement Lodgment Frequency, GST Accounting Method and Goods Importation Indicator are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas12[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100057</isns:Code><isns:Description>GST Effective Date must be no earlier than 1/7/2000</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas12[function:IsDate1GreaterThanDate2(function:AddRemoveMonthsToDate(., -6), current-date())]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100058</isns:Code><isns:Description>GST Effective Date must not be more than 6 months in advance of the current date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas61[. = 'Importer']                         and                         (                           sum($cumas36) &lt; sum($cumas35)                           or                           sum($cumas36) &lt; sum($cumas37)                           or                           sum($cumas36) &lt; sum($cumas34)                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100059</isns:Code><isns:Description>Importing Percent is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text></Location><isns:LongDescription>When Main Luxury Car Tax Activity of "Importer" is provided, the Importing Percent must not be lower than the Manufacturing, Wholesale or Retailing percentages</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas60[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         and                         $cumas13[. = '$20 million and over']                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100083</isns:Code><isns:Description>Email Address must be present for GST Turnover Amount of $20 million and over</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas17[function:IsDate1GreaterThanDate2('2006-07-01', .)]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100085</isns:Code><isns:Description>Fuel Tax Credits Effective Date must not be before 1 July 2006</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:FuelTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas21[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100095</isns:Code><isns:Description>PAYG Effective Date must be on or after 01/07/2000</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas21[not(@i:nil='true')]                         and                         (                           not($cumas24[not(@i:nil='true')])                           or                           sum($cumas25) = 0                           or                           not($cumas26[not(@i:nil='true')])                           or                           not($cumas27[not(@i:nil='true')])                           or                           not($cumas28[not(@i:nil='true')])                           or                           not($cumas29[not(@i:nil='true')])                           or                           not($cumas30[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                           or                           not($cumas31[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100096</isns:Code><isns:Description>Pay as you go (PAYG) details are required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When PAYG Effective Date is provided, the Number of Employees, Estimated Annual Amount Withheld (above zero), PAYG Reporting Method to ATO, Payment Summary Provision Method, Investment Body, Industry Code, Main Business Activity and Main Employment Activity details are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas26[not(@i:nil='true') and string-length(.) != 0]                         and                         $cumas26                         [                           . != 'P'                           and                           . != 'E'                           and                           . != 'PE'                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100109</isns:Code><isns:Description>PAYG Reporting Method to ATO code is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.24:Lodgment.Channel.Code</xsl:text></Location><isns:LongDescription>The PAYG Reporting Method to ATO code is not valid. Valid values are; "P" = Paper, "E" = Electronic, "PE" = Paper and Electronic.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas32[not(@i:nil='true')]                         and                         $cumas32[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100125</isns:Code><isns:Description>Luxury Car Tax Effective Date must be on or after 01/07/2000</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas32[not(@i:nil='true')]                         and                         (                           not($cumas61[not(@i:nil='true')])                           or                           not($cumas38[not(@i:nil='true')])                           or                           not($cumas39[not(@i:nil='true')])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100126</isns:Code><isns:Description>Luxury Car Tax details are required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>Where Luxury Car Tax Effective Date is present, then Main Luxury Car Tax Activity, Annual Luxury Car Tax Liability Band and Luxury Car Tax on every activity statement are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas61[not(@i:nil='true')]                         and                         sum($cumas34|$cumas35|$cumas36|$cumas37) != 100                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100134</isns:Code><isns:Description>Manufacturing, Wholesale, Importing, and Retailing percentage amounts must equal 100</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas61[. = 'Manufacturer']                         and                         (                           sum($cumas34) &lt; sum($cumas36)                           or                           sum($cumas34) &lt; sum($cumas37)                           or                           sum($cumas34) &lt; sum($cumas35)                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100135</isns:Code><isns:Description>Manufacturing Percent is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text></Location><isns:LongDescription>When Main Luxury Car Tax Activity of "Manufacturer" is provided, the Manufacturing Percent must not be lower than the Wholesale, Importing or Retailing percentages</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas61[. = 'Wholesaler']                         and                         (                           sum($cumas35) &lt; sum($cumas36)                           or                           sum($cumas35) &lt; sum($cumas37)                           or                           sum($cumas35) &lt; sum($cumas34)                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100138</isns:Code><isns:Description>Wholesale Percent is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text></Location><isns:LongDescription>When Main Luxury Car Tax Activity of "Wholesaler" is provided, the Wholesale Percent must not be lower than the Manufacturing, Importing or Retailing percentages</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas40[not(@i:nil='true')]                         and                         $cumas40[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100148</isns:Code><isns:Description>Wine Equalisation Tax Effective Date must be on or after 01/07/2000</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas9[not(@i:nil='true')])                         and                         (                           $cumas12[not(@i:nil='true')]                           or                           $cumas13[not(@i:nil='true')]                           or                           $cumas14[not(@i:nil='true')]                           or                           $cumas15[not(@i:nil='true')]                           or                           $cumas16[not(@i:nil='true')]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100200</isns:Code><isns:Description>GST Registration type must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationReason.Code</xsl:text></Location><isns:LongDescription>When GST Registration Type details are provided, GST Registration Type must be present</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas61[. = 'Retailer']                         and                         (                           sum($cumas37) &lt; sum($cumas35)                           or                           sum($cumas37) &lt; sum($cumas36)                           or                           sum($cumas37) &lt; sum($cumas34)                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100208</isns:Code><isns:Description>Retailing Percent is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text></Location><isns:LongDescription>When Main Luxury Car Tax Activity of "Retailer" is provided, the Retailing Percent must not be lower than the Manufacturing, Wholesale or Importing percentages</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas40[not(@i:nil='true')]                         and                         (                           (                             not($cumas42[not(@i:nil='true')])                             and                             not($cumas43[not(@i:nil='true')])                             and                             not($cumas44[not(@i:nil='true')])                             and                             not($cumas45[not(@i:nil='true')])                             and                             not($cumas46[not(@i:nil='true')])                           )                           or                           (                             not($cumas47[not(@i:nil='true')])                             and                             not($cumas48[not(@i:nil='true')])                             and                             not($cumas49[not(@i:nil='true')])                             and                             not($cumas50[not(@i:nil='true')])                           )                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100212</isns:Code><isns:Description>Wine Equalisation Tax Activity codes and Percentage Amounts must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When Wine Equalisation Tax Effective Date is present, Wine Equalisation Tax Activity codes and Percentage amounts must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas32[not(@i:nil='true')]                         and                         (                           not($cumas61[not(@i:nil='true')])                           or                           (                             not($cumas34[not(@i:nil='true')])                             and                             not($cumas35[not(@i:nil='true')])                             and                             not($cumas36[not(@i:nil='true')])                             and                             not($cumas37[not(@i:nil='true')])                           )                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100213</isns:Code><isns:Description>Main Luxury Car Tax Activity and Percentage amounts are required when Luxury Car Tax Effective Date is present.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas40[not(@i:nil='true')]                         and                         sum($cumas47|$cumas48|$cumas49|$cumas50) &gt; 100                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100214</isns:Code><isns:Description>The sum of wine equalisation tax percentages must not exceed 100 percent</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas12[not(@i:nil='true')])                         and                         not($cumas17[not(@i:nil='true')])                         and                         not($cumas21[not(@i:nil='true')])                         and                         not($cumas32[not(@i:nil='true')])                         and                         not($cumas40[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100231</isns:Code><isns:Description>The details of at least one Activity Statement Role Type must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>The details of at least one Activity Statement Role Type must be provided. The Activity Statement Role Types are; Goods and services tax (GST), Luxury car tax (LCT), Wine equalisation tax (WET), Pay as you go - withholding (PAYG-W), Fuel tax credit (FTC).</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="$RP.Context[1]/xbrli:period/xbrli:startDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas14[. = 'Annually']                         and                         $cumas12[not(@i:nil='true') and function:IsDate1GreaterThanDate2($startDate, function:AddRemoveMonthsToDate(., 6))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100238</isns:Code><isns:Description>GST Effective Date must not be more than 6 months prior to the current date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When the GST Activity Statement Lodgment Frequency of "Annually" is provide, the GST Effective Date must not be more than 6 months prior to the current date</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas21[function:IsDate1GreaterThanDate2(function:AddRemoveMonthsToDate(., -6), current-date())]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100239</isns:Code><isns:Description>PAYG Effective Date must not be more than 6 months in advance of the current date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas21[not(@i:nil='true')])                         and                         (                           $cumas24[not(@i:nil='true')]                           or                           $cumas25[not(@i:nil='true')]                           or                           $cumas26[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas27[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas28[not(@i:nil='true')]                           or                           $cumas29[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas30[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas31[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100232</isns:Code><isns:Description>PAYG Effective Date must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When Pay as you go (PAYG) witholding details are present, the PAYG Effective Date must be provided. Pay as you go (PAYG) witholding details include; Number of Employees, Estimated Annual Amount Withheld, PAYG Reporting Method to ATO, Payment Summary Provision Method, Investment Body, Industry Code, Main Business Activity and Main Employment Activity.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas12[not(@i:nil='true')])                         and                         (                           $cumas9[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas10[not(@i:nil='true')]                           or                           $cumas13[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas14[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas15[not(@i:nil='true')]                           or                           $cumas16[not(@i:nil='true')]                           or                           $cumas60[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100233</isns:Code><isns:Description>GST Effective Date must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When Goods and Services Tax (GST) details are present, the GST Effective Date must be provided. Goods and Services Tax (GST) details include; GST Registration Type, Not for Profit Indicator, GST Turnover Amount, GST Activity Statement Lodgment Frequency, GST Accounting Method, Goods Importation Indicator and Email Address.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas17[not(@i:nil='true')])                         and                         (                           $cumas19[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas20[not(@i:nil='true')]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100234</isns:Code><isns:Description>Fuel Tax Credits Effective Date must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:FuelTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When Fuel Tax Credits (FTC) details are present, the Fuel Tax Credits Effective Date must be provided. Fuel Tax Credits (FTC) details include; Fuel Type and Gross Vehicle Mass Indicator.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas32[not(@i:nil='true')])                         and                         (                           $cumas61[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas34[not(@i:nil='true')]                           or                           $cumas35[not(@i:nil='true')]                           or                           $cumas36[not(@i:nil='true')]                           or                           $cumas37[not(@i:nil='true')]                           or                           $cumas38[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas39[not(@i:nil='true')]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100235</isns:Code><isns:Description>Luxury Car Tax Effective Date must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When Luxury Car Tax (LCT) details are present, the Luxury Car Tax Effective Date must be provided. Luxury Car Tax (LCT) details include; Main Luxury Car Tax Activity, Manufacturing Percent, Wholesale Percent, Importing Percent, Retailing Percent, Annual Luxury Car Tax Liability Band and Luxury Car Tax on every activity statement.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cumas40[not(@i:nil='true')])                         and                         (                           $cumas42[not(@i:nil='true')]                           or                           $cumas43[not(@i:nil='true')]                           or                           $cumas44[not(@i:nil='true')]                           or                           $cumas45[not(@i:nil='true')]                           or                           $cumas46[not(@i:nil='true')]                           or                           $cumas47[not(@i:nil='true')]                           or                           $cumas48[not(@i:nil='true')]                           or                           $cumas49[not(@i:nil='true')]                           or                           $cumas50[not(@i:nil='true')]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CUMAS.100236</isns:Code><isns:Description>Wine Equalisation Tax Effective Date must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text></Location><isns:LongDescription>When Wine Equalisation Tax (WET) details are present, the Wine Equalisation Tax Effective Date must be provided. Wine Equalisation Tax (WET) details include; Wine Equalisation Tax Effective Date, Manufacturing Wine Equalisation Tax Activity, Wholesale Wine Equalisation Tax Activity, Importing Wine Equalisation Tax Activity, Exporter Wine Equalisation Tax Activity, Indirect Marketer Retailer Wine Equalisation Tax Activity, Wine Percentage, Beer Percentage, Spirit Percentage and Other Percentage.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cumas58RPTAC                           [                             not(@i:nil='true') and string-length(.) != 0                             and                              matches(.,'^(false|0)$')                           ]                         or                         $cumas58INTTAC                           [                             not(@i:nil='true') and string-length(.) != 0                             and                              matches(.,'^(false|0)$')                           ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410128</isns:Code><isns:Description>Declaration Statement Accepted Indicator must be 'TRUE'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           $cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           count($RPTAC.Context) = 0                            and                           $cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500061</isns:Code><isns:Description>Telephone number is required, if an area code is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           $cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           count($RPTAC.Context) = 0                            and                           $cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500062</isns:Code><isns:Description>Area code is required, if a Telephone number is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Declarer daytime phone area code is required when Declarer daytime phone number is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M61"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M61">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430255</isns:Code><isns:Description>Signature date must not be later than today</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M61"/></xsl:template><xsl:template match="text()" priority="-1" mode="M61"/><xsl:template match="@*|node()" priority="-2" mode="M61"><xsl:apply-templates select="*" mode="M61"/></xsl:template></xsl:stylesheet>