﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500018
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500018" diagnostics="DVR.ATO.GEN.500018"
            test="not(
                        @contextRef = $RP.ContextId 
                        and 
                        string-length(.) > 38
                      )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500019
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500019" diagnostics="DVR.ATO.GEN.500019"
            test="not(
                        @contextRef = $RP.ContextId 
                        and 
                        string-length(.) > 38
                      )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500020
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:AddressDetails.LocalityName.Text) > 27
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500020" diagnostics="DVR.ATO.GEN.500020"
            test="not(
                        @contextRef = $RP.ContextId 
                        and 
                        string-length(.) > 27
                      )"/>
  </rule>
    
</pattern>