﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for CUADDR.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.500039
         ELS Ref: V17

        IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500039" diagnostics="DVR.ATO.GEN.500039"
          test="not(
                        not($cuaddr18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                        
                   )" />

    
    <!-- Rule ID: VR.ATO.GEN.500040
         ELS Ref: V17

        IF (rvctc3.xx.xx:Tax.RoleType.Code = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert id="VR.ATO.GEN.500040" diagnostics="DVR.ATO.GEN.500040"
            test="not(
                        not($cuaddr17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                        
                     )" />


    <!-- Rule ID: VR.ATO.CUADDR.000064
         ELS Ref: V17

        IF ([cuaddr36] = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUADDR.000064" diagnostics="DVR.ATO.CUADDR.000064"
          test="not(
                        not($cuaddr36[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                        
                   )" />
  </rule>
  
</pattern>
