﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for CUEC.</title>
  
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.CUEC.000099
         ELS Ref: V17
      
          IF (CONTEXT(INT) <> NULL) AND ([cuec35] = NULL)
            RETURN VALIDATION MESSAGE
          ENDIF
        
        [cuec35] = pyin.xx.xx:Report.Submission.Date
    -->
    <assert id="VR.ATO.CUEC.000099" diagnostics="DVR.ATO.CUEC.000099"
             test="not(
                        $INT.Context
                        and
                        not($cuec35[not(@i:nil='true')])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUEC.000129
         ELS Ref: V17
      
         IF ([cuec18]) = NULLORBLANK
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cuec18] = rvctc3.xx.xx:Tax.RoleType.Code
    -->
    <assert id="VR.ATO.CUEC.000129" diagnostics="DVR.ATO.CUEC.000129"
             test="not(
                        not($cuec18[not(@i:nil='true') and string-length(.) != 0])
                     )" />

  </rule>
  
</pattern>