﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUFI.000044
         ELS Ref: V9

        IF (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text <> NULLORBLANK) AND (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF

        NOTE:
          This same technical business rule appears in MAT as this:
		      
          IF ([cufi20] <> NULLORBLANK) AND (ANY CHARACTER OF [cufi20] <> SET(a-z,A-Z,0-9,"&","*","(",")","-","'",",","/"," "))
		        RETURN VALIDATION MESSAGE
		      ENDIF

		     [cufi20] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
         
         Reusing the MAT rule implementation here. Hence the regex.
    -->
    <assert id="VR.ATO.CUFI.000044" diagnostics="DVR.ATO.CUFI.000044"
            test="not(
                        $cufi20
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#!@$%\[\];:&#x22;\.?]')
                        ]
                    )"/>   
    

  </rule>
  
</pattern>