﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.GEN.500063
         ELS Ref: V7
         
         IF LENGTH(pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number) > 15
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas55] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500063" diagnostics="DVR.ATO.GEN.500063"
            test="not(
                        $cumas55RPTAC[string-length(.) > 15]
                        or
                        $cumas55INTTAC[string-length(.) > 15]
                     )"/>

  </rule>
  
	<rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
	
	<!-- Rule ID: VR.ATO.CUMAS.200089

		    IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
				RETURN VALIDATION MESSAGE
			ENDIF

		    [cumas52] = pyde.02.00:PersonUnstructuredName.FullName.Text
    -->
	<assert id="VR.ATO.CUMAS.200089" diagnostics="DVR.ATO.CUMAS.200089"
			test="not(
					  string-length(.) > 200
                     )" />
    
	</rule>   


</pattern>