﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for CUFI.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUFI.000115
         ELS Ref: V17
      
        IF (CONTEXT(INT) <> NULL) AND ([cufi24] = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cufi24] = pyin.02.00:Report.Submission.Date
    -->
    <assert id="VR.ATO.CUFI.000115" diagnostics="DVR.ATO.CUFI.000115"
             test="not(
                        $INT.Context
                        and
                        not($cufi24[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500040
         ELS Ref: V17

        IF ([cufi17] = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cufi17] = rvctc3.xx.xx:Tax.RoleType.Code
     -->
    <assert id="VR.ATO.GEN.500040" diagnostics="DVR.ATO.GEN.500040"
            test="not(
                        not($cufi17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                        
                     )" />
    
  </rule>
  
</pattern>